[nvidia] Background image corrupted after standby or resume from suspend

Bug #1855757 reported by Tap ple on 2019-12-09
208
This bug affects 35 people
Affects Status Importance Assigned to Milestone
mutter (Ubuntu)
Medium
Daniel van Vugt
Focal
Undecided
Daniel van Vugt
nvidia-graphics-drivers-340 (Ubuntu)
Medium
Unassigned
Focal
Undecided
Unassigned
nvidia-graphics-drivers-390 (Ubuntu)
Medium
Unassigned
Focal
Undecided
Unassigned
nvidia-graphics-drivers-435 (Ubuntu)
Medium
Unassigned
Focal
Undecided
Unassigned

Bug Description

Looks similar to https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1809407

When the computer goes to standby, the background image becomes corrupted.

I am able to fix by "killall Xorg" , change the background image (settings > background) and restart. Haven't tried login logout.

ProblemType: Bug
DistroRelease: Ubuntu 19.10
Package: xorg 1:7.7+19ubuntu12
ProcVersionSignature: Ubuntu 5.3.0-24.26-generic 5.3.10
Uname: Linux 5.3.0-24-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0000.01.00.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0000:01:00.0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 340.107 Thu May 24 21:54:01 PDT 2018
 GCC version: gcc version 9.2.1 20191008 (Ubuntu 9.2.1-9ubuntu2)
ApportVersion: 2.20.11-0ubuntu8.2
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Mon Dec 9 10:58:35 2019
DistUpgraded: Fresh install
DistroCodename: eoan
DistroVariant: ubuntu
DkmsStatus:
 nvidia-340, 340.107, 5.3.0-23-generic, x86_64: installed
 nvidia-340, 340.107, 5.3.0-24-generic, x86_64: installed
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 NVIDIA Corporation GT215M [GeForce GTS 360M] [10de:0cb1] (rev a2) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. GT215M [GeForce GTS 360M] [1043:203c]
InstallationDate: Installed on 2019-11-29 (10 days ago)
InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
MachineType: ASUSTek Computer Inc. G60JX
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.3.0-24-generic root=UUID=65117975-c95f-4406-a7cf-da912cda0e70 ro
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/25/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 204
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: G60JX
dmi.board.vendor: PEGATRON CORPORATION
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: PEGATRON Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr204:bd12/25/2009:svnASUSTekComputerInc.:pnG60JX:pvr1.0:rvnPEGATRONCORPORATION:rnG60JX:rvr1.0:cvnPEGATRONComputerInc.:ct10:cvr1.0:
dmi.product.family: PEGA Family
dmi.product.name: G60JX
dmi.product.sku: 0
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTek Computer Inc.
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.99-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 19.2.1-1ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.5+git20191008-0ubuntu1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.0.1-1ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20190815-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

Tap ple (applebaumx) wrote :
summary: - Background image corrupted after standby
+ Background image corrupted after standby 19.10
affects: xorg (Ubuntu) → mutter (Ubuntu)
summary: - Background image corrupted after standby 19.10
+ [nvidia] Background image corrupted after standby 19.10
tags: added: nvidia

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Changed in mutter (Ubuntu):
status: New → Confirmed
Daniel van Vugt (vanvugt) wrote :

Interesting people are only reporting this against Nvidia-340 right now.

Julien Olivier (julo) wrote :

I confirm that I have this bug with Nvidia-340, but not with the Nouveau driver.

Julien Olivier (julo) wrote :

By the way, there is a much simpler workaround: just restart gnome-shell using ALT-F2, then "r".

Torsten Weigelt (wtor-one) wrote :

I confirm that this problem happen also for ubuntu 18.04 with Nvidia-435.

Daniel van Vugt (vanvugt) wrote :

Torsten, is that a fully updated Ubuntu 18.04 system?

Torsten Weigelt (wtor-one) wrote :

Yes, installed was 18.04.3 and the latest updates are installed. Currently kernel 5.0 is running. The Nvidia-435 is installed from the included ubuntu repo.

tags: added: bionic
summary: - [nvidia] Background image corrupted after standby 19.10
+ [nvidia] Background image corrupted after standby

I have this problem on two machines, both using the 340 Nvidia driver and running Ubuntu 19.10.

On one machine, with a Geforce 330M, only the lockscreen gets corrupted. On the other, running Geforce 8600M, both the lockscreen and wallpaper get corrupted.

This didn't used to happen on 18.04, I was hoping to get better performance that came with 19.10 and now there's this. :-(

With Nvidia EOLing the 340 driver recently, I was hoping to get another 5 years of both machines with Ubuntu 20.04 (if the driver continues working there at all), so hoping this does get fixed.

Daniel van Vugt (vanvugt) wrote :

*If* the kernel and mesa both support your GPU adequately then you don't need to be tied to Nvidia driver releases. Just use the built-in nouveau driver (which also doesn't have the bug AFAIK). But unfortunately that's a big "if" as nouveau is known to be buggy occasionally, for some GPUs.

tags: added: visual-quality
Changed in gnome-shell (Ubuntu):
importance: Undecided → Medium
Changed in mutter (Ubuntu):
importance: Undecided → Medium
Julien Olivier (julo) wrote :

@Daniel: the Nouveau driver may work, but, in my case, it's way slower than the NVidia official driver, making it simply unusable for any 3D usage.

Daniel van Vugt (vanvugt) wrote :

Yeah I would usually recommend a supported Nvidia driver instead of Nouveau. Just trying to avoid this bug...

Julien Olivier (julo) wrote :

By the way, I don't know what happened but I don't have the bug any more. Has there been any update recently?

Dominik (dominalien) wrote :

Yeah, nouveau is not an option for me unfortunately, there are just too many problems with it.

And the bug is still present for me as well.

Giles (giles-nr) wrote :

Similar problem here, first few resumes only the desktop background corrupts then after a few more more the entire desktop goes, please see attached:

01:00.0 VGA compatible controller: NVIDIA Corporation GT216M [GeForce GT 330M] (rev a2)

Using NVIDIA binary driver - version 340.108 from nvidia-340

Daniel van Vugt (vanvugt) wrote :

Giles,

That looks like a different bug. Please open a new bug by running:

  ubuntu-bug nvidia-graphics-drivers-340

or

  ubuntu-bug mutter

Fraser Bullock (mrfrase3) wrote :

I am also getting this issue (19.04), I might add that it also seems to affect VS code quite a lot.

e.g. any open terminals go blank.

Daniel van Vugt (vanvugt) wrote :

Please note Ubuntu 19.04 has reached end-of-life and is no longer supported.

https://wiki.ubuntu.com/Releases

Domizio Demichelis (domizio) wrote :

19.10 still has the corrupted desktop scattered image (an annoying grey-yellow-white pattern) with nvidia-435. The same pattern appear also in some images in the chromium browser window.

Changed in nvidia-graphics-drivers-340 (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Changed in nvidia-graphics-drivers-390 (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Changed in nvidia-graphics-drivers-435 (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Jose Bartolome (zubzou) wrote :

Bug also affects Ubuntu 20.04

tags: added: focal
erhnamdjim (james-botswana) wrote :

I'm on Ubuntu 20.04, using the nvidia-driver-440, and I am also experiencing wallpaper corruption issues whenever I unlock my desktop.

My current workaround is to do

    sudo apt install --reinstall ubuntu-wallpapers

This restores the picture, but eventually it gets corrupted again.

I previously also saw some corruption in the top bar and in the dock icons, but this seems to have cleared up.

erhnamdjim (james-botswana) wrote :

I also came across https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1867668 where the suggested fix was to do

    sudo apt remove xserver-xorg-video-intel

After running this command, I have not had any recurrence of the corruption issue.

Daniel van Vugt (vanvugt) wrote :

That is bug 1867668, not this one.

But good point! Because many Nvidia owners are actually using a hybrid machine where the Intel GPU is wired to the screen, not the Nvidia GPU. In such a case bug 1867668 is what you should be subscribed to, not this bug.

summary: - [nvidia] Background image corrupted after standby
+ [nvidia] Background image corrupted after standby or resume from suspend
tags: added: resume suspend-resume
Daniel van Vugt (vanvugt) wrote :

I have a theory this bug might be fixed by:

https://gitlab.gnome.org/GNOME/mutter/-/commit/3a474556b8

Daniel van Vugt (vanvugt) wrote :

And if that theory is correct then this bug may only occur for people whose wallpaper is >= 1.5x the resolution of the screen. Because for everyone else with wallpaper closer to the resolution of the screen, mipmap level zero is used and the original fix works fine:

https://gitlab.gnome.org/GNOME/mutter/-/commit/a5265365dd

Michal Pasniewski (michalp-y) wrote :

I have no background set at all (but I have Intel and Nvidia GPUs).

Daniel van Vugt (vanvugt) wrote :

If you have an Intel GPU then you should not be subscribed to this bug.

Dominik (dominalien) wrote :

OMG, this looks like it's it.

On my main computer with Geforce 330M I have a background that's 1x screen res and I haven't been getting the corrupted background. I just switched to a stock Ubuntu bg image, which I presume is much larger than 1440x900, suspended the machine and now it's completely white.

The corruption I now get after resume from suspend is this:

1. The Gnome menu (the one on the left after pressing the super key) when using Gnome session is corrupted or invisible. Moving the mouse over the icons makes them appear and closing and re-opening the overlay fixes it. The left menu from Ubuntu session seems fine, but I only tried a couple of suspends as I use the Gnome session.

2. Current program icon in the top bar of the Gnome session gets corrupted.

3. Icons in some applications (like Cura) get corrupted. I think it may be related to Qt.

But I guess that would be a different bug?

Daniel van Vugt (vanvugt) wrote :

Unfortunately yes those are different bugs (please open new bugs). But the fix would be similar to this, or similar to bug 1809407.

Daniel van Vugt (vanvugt) wrote :

I have been trying, but am unable to reproduce this bug still.

To help test my theory, please just make a custom wallpaper that's the same resolution as your monitor and use that. If the theory is correct then that should work around this bug.

Daniel van Vugt (vanvugt) wrote :

Another related fix (mainly for Gnome Shell panels) is coming:

https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/1374

Daniel van Vugt (vanvugt) wrote :

That potential fix I mentioned is now also queued up in 3.36.5:

https://gitlab.gnome.org/GNOME/mutter/-/commit/eae21f01dd

So let's assume that's the fix here until proven otherwise.

Changed in mutter (Ubuntu):
status: Confirmed → Fix Committed
no longer affects: gnome-shell (Ubuntu)
tags: added: fixed-in-3.36.5 fixed-upstream
Changed in nvidia-graphics-drivers-340 (Ubuntu):
status: Confirmed → Won't Fix
Changed in nvidia-graphics-drivers-390 (Ubuntu):
status: Confirmed → Won't Fix
Changed in nvidia-graphics-drivers-435 (Ubuntu):
status: Confirmed → Won't Fix
Changed in mutter (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
tags: removed: eoan
Sujit Kumar (therealsujitk) wrote :

For now you can easily fix this without any third-party applications by following these instructions: https://askubuntu.com/a/1269431/1119550

Daniel van Vugt (vanvugt) wrote :

^^^
That is bug 1892440. It is not relevant here.

Sujit Kumar (therealsujitk) wrote :

^^^
Daniel, I wrote that answer mostly for the bug you mentioned, but as I mentioned in my answer, it fixes the corrupted background bug as well.

Daniel van Vugt (vanvugt) wrote :

I do not recommend that as a solution. The open source 'nouveau' driver generally causes more problems than it solves. And performance is significantly lower than the proprietary driver.

Sujit Kumar (therealsujitk) wrote :

Oh.. thanks for letting me know!

Sujit Kumar (therealsujitk) wrote :

How do I implement this fix for my system?

Daniel van Vugt (vanvugt) wrote :

Just wait for the mutter version 3.36.5 update.

Daniel van Vugt (vanvugt) wrote :

Although as a workaround, changing your background wallpaper should also resolve it each time.

Changed in nvidia-graphics-drivers-340 (Ubuntu Focal):
status: New → Won't Fix
Changed in nvidia-graphics-drivers-390 (Ubuntu Focal):
status: New → Won't Fix
Changed in nvidia-graphics-drivers-435 (Ubuntu Focal):
status: New → Won't Fix
Changed in mutter (Ubuntu Focal):
status: New → Triaged
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 3.37.91-1ubuntu1

---------------
mutter (3.37.91-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream stable release, remaining changes:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refresh as per upstream changes

mutter (3.37.91-1) experimental; urgency=medium

  * New upstream release
    - Support unredirecting fullscreen wayland surfaces
    - Support area screencasts
    - Allow inhibiting remote access
    - Drive each monitor by its own frame clock (LP: #1730460)
    - Fix copy/paste failures on X11 (LP: #1879968)
    - Make window-aliveness checks less aggressive
    - Limit mipmap levels when rendering background (LP: #1862308)
    - Remove more long-deprecated Clutter APIs
    - Support custom keyboard layouts in $XDG_CONFIG_HOME/xkb
    - Optimize resource scale computation for wayland fractional scaling
    - Support tap-button-map and tap-drag-lock touchpad settings
    - Fix wine copy & paste
    - Add API to launch trusted wayland clients
    - Invalidate offscreen effect cache on video memory purge (LP: #1855757)
  * debian: Update package and file names to mutter API version
  * debian/control: Bump dependencies to match upstream requirements
  * debian/clean: Remove as HOME and XRD are managed now by dh
  * debian/copyright: Avoid redundant globbing patterns
  * debian/gbp.conf: target upstream/latest branch
  * debian/libmutter-7-0.symbols: Update symbols file
  * debian/patches: Refresh
  * d/p/debian/tests-Tag-closed-transient-no-input-tests-as-flaky.patch:
    - Renamed into d/p/debian/tests-Tag-unstable-tests-as-flaky.patch
    - Reduced the number of "flaky" tests to the ones time-dependent only
  * debian/rules:
    - Compute and generate a MUTTER_API_VERSION and replace it everywhere
    - Remove XDG_RUNTIME_DIR wrapper workaround
    - Don't run tests at all in riscv64
    - Don't set again default configuration values (it makes the delta clearer)
    - Never ignore test failures in amd64
    - Remove test num processes re-configuration
    - Run tests in s390x, no failures currently
    - Don't test in alpha hppa powerpc sparc64 x32 (Closes: #959415)
  * debian/with-temp-xdg-runtime-dir: Dropped, new dh will handle it for us
  * debian/watch: Scan for all versions, not just the stable-branch
  * debian/*.install: Use dh variable substitution in install files

mutter (3.36.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Screencast fixes and improvements
    - Fix glitches when subsurfaces extend outside the toplevel
    - Improve background display in overview workspace switcher
    - Fix wine copy & paste
    - Plug memory leaks
  * Drop patches that were applied upstream

 -- Marco Trevisan (Treviño) <email address hidden> Fri, 28 Aug 2020 01:10:32 +0200

Changed in mutter (Ubuntu):
status: Fix Committed → Fix Released
Sujit Kumar (therealsujitk) wrote :

Recently I've noticed, when my laptop comes on after sleeping, a lot of text goes missing along with the corrupted background.

Daniel van Vugt (vanvugt) wrote :

Yes that's related and will need a similar fix, but different. Please open a new bug for that.

Sujit Kumar (therealsujitk) wrote :

Daniel, I have only faced that bug once, so far it hasn't happened again, so I have no idea how to reproduce it. Should I open a new bug anyway? Under mutter and the NVIDIA drivers?

Daniel van Vugt (vanvugt) wrote :

The fix is not in focal (Ubuntu 20.04) yet. Please wait for that before logging any new bugs.

Phil (offender) wrote :

@Daniel, is it possible to add a repo for this fix early ahead of coming down in the release repos?

On the release repos I have the latest version.

mutter is already the newest version (3.36.4-0ubuntu0.20.04.2).

Cheers for any advice

Daniel van Vugt (vanvugt) wrote :

It already exists in focal-proposed. So you can enable 'proposed' updates or just download the new packages:

  https://launchpad.net/ubuntu/+source/mutter/3.36.6-1ubuntu0.20.04.2/+build/19963778

Changed in mutter (Ubuntu Focal):
status: Triaged → Fix Released
Wolf (drechsel) wrote :

nvidia 340 driver, GT218M / 3100NVS card on HP 8440p laptop,
System: focal

Have still the "corrupted desktop" problem; changing to "proposed" made that I could no longer resume from hibernate. With "proposed", screen would power on back light for a few seconds and then remain dark.

Unticking the "proposed" box with update luckily led to a resuming system again.

Daniel van Vugt (vanvugt) wrote :

Wolf,

Most likely the staggered rollout of mutter 3.36.6 has not reached you yet. Just check the version of package libmutter-6-0 you have installed. If it is 3.36.6 or higher then perhaps open a new bug by running:

  ubuntu-bug mutter

And please open a separate bug for each issue.

Jose Bartolome (zubzou) wrote :

Hi Daniel,

apt list libmutter-6-0
Auflistung... Fertig
libmutter-6-0/focal-updates,now 3.36.6-1ubuntu0.20.04.2 amd64 [Installiert,automatisch]

Sorry but the bu still occurs. Should I open a new bug?

Best regards

José

Daniel van Vugt (vanvugt) wrote :

That's two people who have said the fix doesn't work in Ubuntu 20.04. But actually I would like to hear from more people to be completely sure.

Changed in mutter (Ubuntu Focal):
status: Fix Released → Confirmed
assignee: Marco Trevisan (Treviño) (3v1n0) → nobody
Daniel van Vugt (vanvugt) wrote :

Please also try Ubuntu 20.10 when it is formally released next week. We probably need to reopen that one too.

Changed in mutter (Ubuntu):
status: Fix Released → Incomplete
Download full text (4.9 KiB)

Hey Daniel,

the update didn't fix the issue on my laptop (HP Omen 15)
the webpage distort after I wake up from hibernation

On Thu, Oct 15, 2020 at 7:15 PM Daniel van Vugt <email address hidden>
wrote:

> Please also try Ubuntu 20.10 when it is formally released next week. We
> probably need to reopen that one too.
>
> ** Changed in: mutter (Ubuntu)
> Status: Fix Released => Incomplete
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1894627).
> https://bugs.launchpad.net/bugs/1855757
>
> Title:
> [nvidia] Background image corrupted after standby or resume from
> suspend
>
> Status in mutter package in Ubuntu:
> Incomplete
> Status in nvidia-graphics-drivers-340 package in Ubuntu:
> Won't Fix
> Status in nvidia-graphics-drivers-390 package in Ubuntu:
> Won't Fix
> Status in nvidia-graphics-drivers-435 package in Ubuntu:
> Won't Fix
> Status in mutter source package in Focal:
> Confirmed
> Status in nvidia-graphics-drivers-340 source package in Focal:
> Won't Fix
> Status in nvidia-graphics-drivers-390 source package in Focal:
> Won't Fix
> Status in nvidia-graphics-drivers-435 source package in Focal:
> Won't Fix
>
> Bug description:
> Looks similar to
> https://bugs.launchpad.net/ubuntu/+source/mutter/+bug/1809407
>
> When the computer goes to standby, the background image becomes
> corrupted.
>
> I am able to fix by "killall Xorg" , change the background image
> (settings > background) and restart. Haven't tried login logout.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 19.10
> Package: xorg 1:7.7+19ubuntu12
> ProcVersionSignature: Ubuntu 5.3.0-24.26-generic 5.3.10
> Uname: Linux 5.3.0-24-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.gpus.0000.01.00.0: Error: [Errno 21] Is a directory:
> '/proc/driver/nvidia/gpus/0000:01:00.0'
> .proc.driver.nvidia.registry: Binary: ""
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 340.107 Thu May 24
> 21:54:01 PDT 2018
> GCC version: gcc version 9.2.1 20191008 (Ubuntu 9.2.1-9ubuntu2)
> ApportVersion: 2.20.11-0ubuntu8.2
> Architecture: amd64
> BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> CurrentDesktop: ubuntu:GNOME
> Date: Mon Dec 9 10:58:35 2019
> DistUpgraded: Fresh install
> DistroCodename: eoan
> DistroVariant: ubuntu
> DkmsStatus:
> nvidia-340, 340.107, 5.3.0-23-generic, x86_64: installed
> nvidia-340, 340.107, 5.3.0-24-generic, x86_64: installed
> ExtraDebuggingInterest: Yes, if not too technical
> GraphicsCard:
> NVIDIA Corporation GT215M [GeForce GTS 360M] [10de:0cb1] (rev a2)
> (prog-if 00 [VGA controller])
> Subsystem: ASUSTeK Computer Inc. GT215M [GeForce GTS 360M] [1043:203c]
> InstallationDate: Installed on 2019-11-29 (10 days ago)
> InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
> MachineType: ASUSTek Computer Inc. G60JX
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME...

Read more...

Daniel van Vugt (vanvugt) wrote :

Kashad, I will reopen your bug 1894627 and clarify that is about web browsers. This one is about the background wallpaper.

Changed in mutter (Ubuntu Focal):
assignee: nobody → Daniel van Vugt (vanvugt)
tags: added: nvidia-corruption
tags: removed: fixed-in-3.36.5 fixed-upstream
Daniel van Vugt (vanvugt) wrote :

This new fix should help:

  https://gitlab.gnome.org/GNOME/mutter/-/commit/f0a9ec0519

It's basically what I was hoping for in comment #26, but an additional fix was required.

If that does solve it then potentially a workaround is to just create a custom wallpaper image that's the same resolution as your monitor. Then you probably wouldn't need this week's fix.

Changed in mutter (Ubuntu):
status: Incomplete → Confirmed
Wolf (drechsel) wrote :

Wallpaper background file in monitor resolution helps. Thank you for this workaround!

Sujit Kumar (therealsujitk) wrote :

I installed the focal-proposed updates yesterday, just checked and I can confirm the background corruption issue is still there, tho it's not as much as before. Before it used to change to a complete grey static, but now the wallpaper is still visible to an extent. I'll attach a screenshot.

Daniel van Vugt (vanvugt) wrote :

focal-proposed is not expected to help with this bug. The fix I mentioned in comment #57 is in future mutter version 40.

To post a comment you must log in.